>source

Kubernetes 클러스터에서 몇 개의 Prefect 흐름이 실행됩니다. 최근에 플로우를 실행하려고 시도 할 때이 오류가 발생하기 시작했습니다. 전에 누군가가 있었습니까? 그 것처럼 보이는 것처럼 보입니다

Failed to retrieve task state with error: ClientError('400 Client Error: Bad Request for url: http://apollo.master:4200/graphql\n\nThe following error messages were provided by the GraphQL server:\n\n    GRAPHQL_VALIDATION_FAILED: Cannot query field "get_or_create_task_run_info" on\n        type "Mutation". Did you mean "get_or_create_task_run" or\n        "get_or_create_mapped_task_run_children"?\n\nThe GraphQL query was:\n\n    mutation {\n            get_or_create_task_run_info(input: { flow_run_id: "9b1b760e-eb6a-4014-82bf-573db2f9951e", task_id: "62e3eff8-9a22-41ce-91f4-6852aeaae382", map_index: -1 }) {\n                id\n                version\n                serialized_state\n        }\n    }\n\nThe passed variables were:\n\n    null\n')
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 375, in _send_request
    response.raise_for_status()
  File "/usr/local/lib/python3.8/site-packages/requests/models.py", line 943, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 400 Client Error: Bad Request for url: http://apollo.master:4200/graphql
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/prefect/engine/cloud/task_runner.py", line 154, in initialize_run
    task_run_info= self.client.get_task_run_info(
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 1399, in get_task_run_info
    result= self.graphql(mutation)  # type: Any
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 298, in graphql
    result= self.post(
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 213, in post
    response= self._request(
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 459, in _request
    response= self._send_request(
  File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 388, in _send_request
    raise ClientError(f"{exc}\n{graphql_msg}") from exc
prefect.utilities.exceptions.ClientError: 400 Client Error: Bad Request for url: http://apollo.master:4200/graphql
The following error messages were provided by the GraphQL server:
    GRAPHQL_VALIDATION_FAILED: Cannot query field "get_or_create_task_run_info" on
        type "Mutation". Did you mean "get_or_create_task_run" or
        "get_or_create_mapped_task_run_children"?
The GraphQL query was:
    mutation {
            get_or_create_task_run_info(input: { flow_run_id: "9b1b760e-eb6a-4014-82bf-573db2f9951e", task_id: "62e3eff8-9a22-41ce-91f4-6852aeaae382", map_index: -1 }) {
                id
                version
                serialized_state
        }
    }
The passed variables were:
    null

GitHub 문제는 그런 종류의 문제를위한 것입니다

xadm2021-06-10 16:57:07
  • 이전 sql : 동일한 테이블 구조를 갖는 두 개의 테이블에서 업데이트 된 열 값 만 얻는 방법
  • 다음 QML QTQUICK에 대한 테스트 프로젝트 만들기